"""
Generate time series of nominated "gauges".
Input: sww file from run_perth.py
       gauges project.gauge_filename
Output: csv files stage,speed,depth,elevation over time
Stored in the 'outputs_dir' folder for respective .sww file

Note:
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

import os
from os import sep, rename, listdir, system
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

directory = project.output_folder

time_dir1 = '20090401_104100_run_final_0.8_mux_small_viz_onielsen'
time_dir2 = '20090331_175129_run_final_0.8_mux_small_final_onielsen'

time_dirs = [time_dir1, time_dir2]
  
for time_dir in time_dirs:
    name = os.path.join(directory,time_dir,project.scenario_name)
    gauge = project.gauges
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)

    
